> ![MikroE](http://www.mikroe.com/img/designs/beta/logo_small.png)
> #Accel 3 Click#
> ##By [MikroElektronika](http://www.mikroe.com)
---

## Installation
Use the package manager to install the library for your architecture.

###Example on ARM
```
#include <stdint.h>
#include "accel3.h"
#include "ball_bitmap.h"
#include "resources.h"

sbit ACCEL_3_CS  at GPIOD_ODR.B13;
sbit ACCEL_3_INT at GPIOD_IDR.B10;



uint8_t command = 0x31;
uint8_t buffer;

void display_init( void );
void system_setup( uint8_t address,accel_mode_t accel_mode,
                     data_rate_t d_rate, bus_mode_t mode )
{
  //GPIO Outputs
  GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_13 );
  GPIO_Digital_Input( &GPIOD_BASE, _GPIO_PINMASK_10 );
  Delay_ms(200);

  //I2C
  I2C1_Init_Advanced( 100000, &_GPIO_MODULE_I2C1_PB67 );
  Delay_ms(200);

  //Accel 3 Initialization
  accel3_init( address, accel_mode, d_rate, mode );

  //UART Initialization
  UART1_Init(9600);
  Delay_ms(200);
  UART1_Write_Text( "UART Initialized" );
  UART1_Write_Text( "\r\n" );

  //TFT Display
  display_init();

}

```

```
void main() 
{
  uint8_t address = 0x18;
  xyz_t* my_coords;
  uint8_t thresh = 10;
  uint8_t duration = 5;
  char text[50];

  system_setup( address, NORMAL, HZ_100, I2C );

  while(1)
  {
     my_coords = accel3_get_xyz();
     
     sprintf( text, " x: %d y: %d z: %d ", my_coords->x_pos, my_coords->y_pos, my_coords->z_pos );
     UART1_Write_Text( text );
     UART1_Write_Text( "\r\n" );
     Delay_ms(30);        
  }

}

```

